## nom.tam.fits
Class KeyHash

    java.lang.Object
      nom.tam.fits.KeyHash

class KeyHash
extends Object

Constructor Summary
`KeyHash()` Initialize a null KeyHash.

Method Summary
`void` `add(HeaderCard card)` Add a card to the hash.
`boolean` `contains(String key)`
`void` `delete(HeaderCard card)`
`HeaderCard` `find(String key)` Find a given card by its key.
`void` `replace(HeaderCard oldCard, HeaderCard newCard)` Replace one card with another.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyHash

    public KeyHash()

  Initialize a null KeyHash.

Method Detail

### add

    public final void add(HeaderCard card)

  Add a card to the hash.

  Parameters:
    `card` - The new card.

### delete

    public final void delete(HeaderCard card)

### replace

    public final void replace(HeaderCard oldCard,
                              HeaderCard newCard)

  Replace one card with another.

  Parameters:
    `oldCard` - The card to be replaced.
    `newCard` - The new card to take to its place.

### find

    public final HeaderCard find(String key)

  Find a given card by its key. If more than one is in the header, just return the first.

  Parameters:
    `key` - The FITS keyword.
  Returns:
    The matching card or `null` if not found.

### contains

    public final boolean contains(String key)